about summary refs log tree commit diff stats
path: root/modules/common/hooks/scripts/sync-git-repo.sh
diff options
context:
space:
mode:
Diffstat (limited to '')
-rwxr-xr-xmodules/common/hooks/scripts/sync-git-repo.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/modules/common/hooks/scripts/sync-git-repo.sh b/modules/common/hooks/scripts/sync-git-repo.sh
new file mode 100755
index 00000000..ad7368f3
--- /dev/null
+++ b/modules/common/hooks/scripts/sync-git-repo.sh
@@ -0,0 +1,13 @@
+#!/usr/bin/env sh
+
+task_data="$(task _get rc.data.location)"
+[ "$task_data" ] || die "Taskwarrior should have a location set"
+
+cd "$task_data" || die "(BUG?): Your data.location path is not accessable"
+
+[ -d ./.git/ ] || git init
+
+git add .
+git commit --message="chore: Update" --no-gpg-sign
+
+# vim: ft=sh